package TamagotchiPackage;

import java.util.*;
import jade.core.*;
import jade.core.behaviours.*;
import jade.lang.acl.*;

class Connect_with_another_Tamagotchi extends OneShotBehaviour {
 /** MyTamagotchiAgent */
 Tamagotchi myTamagotchiAgent;

 /** User Interface */
 UserInterface userInterface;

 /** The message to be sent */
 private ACLMessage msg;

 /** constructor of the behaviour */
 public Connect_with_another_Tamagotchi(Tamagotchi tamagotchi, UserInterface ui) {
   super(tamagotchi);

   myTamagotchiAgent = tamagotchi;
   userInterface = ui;
 }

 public void action() {
   userInterface.appendMessage("Connecting with another Tamagotchi");

   /** Prepare and send the INFORM message */
   msg = new ACLMessage(ACLMessage.INFORM);
   msg.setSender(new AID(myAgent.getLocalName(), AID.ISLOCALNAME));
   msg.addReceiver(new AID("friendTamagotchiAgent", AID.ISLOCALNAME));
   msg.setContent("Could I come to your place?");
   myAgent.send(msg);
 }
}
